StyleNodeFactory
Date: 2016-07-03

com.icl.saxon.style

## Class StyleNodeFactory

- java.lang.Object
- - com.icl.saxon.style.StyleNodeFactory

- All Implemented Interfaces:
    NodeFactory

      public class StyleNodeFactory
      extends java.lang.Object
      implements NodeFactory

  Class StyleNodeFactory.
  A Factory for nodes in the stylesheet tree.
  Currently only allows Element nodes to be user-constructed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleNodeFactory(NamePool pool)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardNames` | `getStandardNames()`
    `boolean` | `isElementAvailable(java.lang.String uri, java.lang.String localName)` Method to support the element-available() function
    `ElementImpl` | `makeElementNode(NodeInfo parent, int nameCode, AttributeCollection attlist, int[] namespaces, int namespacesUsed, org.xml.sax.Locator locator, int sequence)` Create an Element node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleNodeFactory

          public StyleNodeFactory(NamePool pool)

  - ### Method Detail

    - #### getStandardNames

          public StandardNames getStandardNames()

    - #### makeElementNode

          public ElementImpl makeElementNode(NodeInfo parent,
                                    int nameCode,
                                    AttributeCollection attlist,
                                    int[] namespaces,
                                    int namespacesUsed,
                                    org.xml.sax.Locator locator,
                                    int sequence)

      Create an Element node. Note, if there is an error detected while constructing the Element, we add the element anyway, and return success, but flag the element with a validation error. In principle this should allow us to report more than one error from a single compilation.
      Specified by:
        `makeElementNode` in interface `NodeFactory`
      Parameters:
        `parent` - The parent of the element
        `nameCode` - The element name
        `attlist` - the attribute list
        `namespaces` - the list of namespace codes representing namespace declarations for this element
        `namespacesUsed` - the number of items in the namespaces array that are actually used
        `locator` - the location of this element in the XML source
        `sequence` - sequence number of this element

    - #### isElementAvailable

          public boolean isElementAvailable(java.lang.String uri,
                                   java.lang.String localName)

      Method to support the element-available() function